Package org.sonatype.maven.polyglot.execute

## Interface ExecuteManager

- All Known Implementing Classes:
    `ExecuteManagerImpl`

      public interface ExecuteManager

  Manages `ExecuteTask`s for a project.
  Since:
    0.7
  Author:
    Jason Dillon

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<ExecuteTask>` | `getTasks​(org.apache.maven.model.Model model)` |
    `void` | `install​(org.apache.maven.model.Model model)` |
    `void` | `register​(org.apache.maven.model.Model model, java.util.List<ExecuteTask> tasks)` |

- - ### Method Detail

    - #### register

          void register​(org.apache.maven.model.Model model,
                        java.util.List<ExecuteTask> tasks)

    - #### getTasks

          java.util.List<ExecuteTask> getTasks​(org.apache.maven.model.Model model)

    - #### install

          void install​(org.apache.maven.model.Model model)